Name: rpkg-client
Version: 0.2
Release: 1%{?dist}
Summary: Package containing rpkg: DistGit command-line client
License: GPLv2+
URL: https://pagure.io/rpkg-client.git
Source0: %{name}-%{version}.tar.gz
BuildArch: noarch

%description
This package contains DistGit command-line client. We are putting
the actual 'rpkg' package into a subpackage because there already exists package
https://admin.fedoraproject.org/pkgdb/package/rpms/rpkg. This package, however,
does not actually produce rpkg rpm, which this package does.

%package -n rpkg
Summary: DistGit command-line client
BuildArch: noarch

BuildRequires: python
BuildRequires: python-devel

BuildRequires: python2-rpkg
Requires: python2-rpkg

%description -n rpkg
This is a command-line client to DistGit host machine.
You can maintain your packages stored in DistGit with this tool, for example
run `rpkg copr-build username/project` to execute COPR build of your package.

%prep
%setup -q

%build
%{__python} setup.py build
%{__python} doc/rpkg_man_page.py > rpkg.1

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
%{__install} -d $RPM_BUILD_ROOT%{_mandir}/man1
%{__install} -p -m 0644 rpkg.1 $RPM_BUILD_ROOT%{_mandir}/man1

install -d $RPM_BUILD_ROOT%{_sysconfdir}/rpkg
install -d $RPM_BUILD_ROOT%{_datarootdir}/bash-completion/completions

cp -a rpkg.conf $RPM_BUILD_ROOT%{_sysconfdir}/rpkg/
cp -a rpkg.bash $RPM_BUILD_ROOT%{_datarootdir}/bash-completion/completions/

%files -n rpkg
%license LICENSE
%{python2_sitelib}/*

%dir %{_sysconfdir}/rpkg
%config(noreplace) %{_sysconfdir}/rpkg/rpkg.conf

%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/rpkg.bash

%{_bindir}/rpkg
%{_mandir}/*/*

%changelog
* Tue Jun 20 2017 clime <clime@redhat.com> 0.2-1
- new rpkg-client package built with tito

* Mon Jun 12 2017 clime <clime@redhat.com> 0.1-1
- Initial version
